> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a new tag group resource



## OpenAPI

````yaml post /v0/tag-groups
openapi: 3.0.1
info:
  title: Gjoll API
  description: Gjoll OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: team-accounting-core@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 84.1.2
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: reconciliation
    description: Reconciliation API
  - name: accounts
    description: Accounts API
  - name: categories
    description: Categories API
  - name: tax-codes
    description: Tax Codes API
  - name: accounting-entries
    description: |-
      The Accounting Entries API endpoints enable you to perform the following:
        - Apply filters and search for accounting entries and accounting receipts.
        - Retrieve list of accounting entries and accounting receipts.
        - Retrieve details of a specific accounting entry.
paths:
  /v0/tag-groups:
    post:
      tags:
        - tag-groups
      summary: Create a new tag group
      description: Create a new tag group in Pleo.
      operationId: createTagGroup
      parameters:
        - name: company_id
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
            description: >-
              Unique identifier of the company the tag group will be associated
              with.
            format: uuid
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              $ref: '#/components/schemas/TagGroupCreateModel'
        required: true
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/DataResponseTagGroupModel'
components:
  schemas:
    TagGroupCreateModel:
      required:
        - archived
        - code
        - name
      type: object
      properties:
        archived:
          type: boolean
          description: Boolean flag used to determine whether the tag group is archived.
        code:
          type: string
          description: >-
            Code used in the external ERP/accounting system to identify the tag
            group.
        metadata:
          type: object
          additionalProperties:
            type: string
            description: Place to store additional information about the tag group.
          description: Place to store additional information about the tag group.
        name:
          type: string
          description: User readable name of the tag group.
    DataResponseTagGroupModel:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/TagGroupModel'
    TagGroupModel:
      required:
        - archived
        - code
        - companyId
        - createdAt
        - id
        - metadata
        - name
        - updatedAt
      type: object
      properties:
        archived:
          type: boolean
          description: Boolean flag used to determine whether the tag group is archived.
          example: false
        code:
          type: string
          description: >-
            Code used in the external ERP/accounting system to identify the tag
            group.
          example: 5524f270-6c21-11ee-b962-0242ac120002
        companyId:
          type: string
          description: Unique identifier of the company the tag group belongs to.
          format: uuid
          example: c04c7e9e-6c15-11ee-b962-0242ac120003
        createdAt:
          type: string
          description: Creation date and time.
          format: date-time
          example: '2023-08-23T03:11:48Z'
        id:
          type: string
          description: Unique identifier of the tag group.
          format: uuid
          example: c04c7e9e-6c15-11ee-b962-0242ac120002
        metadata:
          type: object
          additionalProperties:
            type: string
            description: Place to store additional information about the tag group.
            example: '{"externalExtraId":"f302f9ec-6c17-11ee-b962-0242ac120002"}'
          description: Place to store additional information about the tag group.
          example:
            externalExtraId: f302f9ec-6c17-11ee-b962-0242ac120002
        name:
          type: string
          description: User readable name of the tag group.
          example: Projects
        totalTagsCount:
          type: integer
          description: Total number of Tags belonging to this TagGroup.
          format: int64
          example: 4
        updatedAt:
          type: string
          description: Date and time of the last update.
          format: date-time
          example: '2023-08-23T03:11:48Z'
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````